<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="disciplina">
      <h2 data-cy="disciplinaDetailsHeading"><span jhiTranslate="matrixApp.disciplina.detail.title">Disciplina</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.disciplina.id">Id</span></dt>
        <dd>
          <span>{{ disciplina.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.disciplina.descricao">Descricao</span></dt>
        <dd>
          <span>{{ disciplina.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.disciplina.periodo">Periodo</span></dt>
        <dd>
          <div *ngIf="disciplina.periodo">
            <a [routerLink]="['/periodo', disciplina.periodo.id, 'view']">{{ disciplina.periodo.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.disciplina.trilha">Trilha</span></dt>
        <dd>
          <div *ngIf="disciplina.trilha">
            <a [routerLink]="['/trilha', disciplina.trilha.id, 'view']">{{ disciplina.trilha.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/disciplina', disciplina.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
